/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import * as tslib_1 from "tslib";
import { NativeUIComponent } from "./NativeUIComponent";
import { NativeUIInputDisplayType_$type } from "./NativeUIInputDisplayType";
import { enumGetBox, EnumUtil, markType } from "./type";
import { NativeUIDisplayDensity_$type } from "./NativeUIDisplayDensity";
import { NativeUIInputType_$type } from "./NativeUIInputType";
/**
 * @hidden
 */
var NativeUIInput = /** @class */ /*@__PURE__*/ (function (_super) {
    tslib_1.__extends(NativeUIInput, _super);
    function NativeUIInput() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.a0 = null;
        _this.ay = null;
        return _this;
    }
    Object.defineProperty(NativeUIInput.prototype, "a2", {
        get: function () {
            var a = this.q(0);
            return a == null ? 1 : EnumUtil.getEnumValue(NativeUIInputDisplayType_$type, a);
        },
        set: function (a) {
            this.ak(0, enumGetBox(NativeUIInputDisplayType_$type, a));
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(NativeUIInput.prototype, "az", {
        get: function () {
            var a = this.q(1);
            return a == null ? 1 : EnumUtil.getEnumValue(NativeUIDisplayDensity_$type, a);
        },
        set: function (a) {
            this.ak(1, enumGetBox(NativeUIDisplayDensity_$type, a));
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(NativeUIInput.prototype, "a4", {
        get: function () {
            var a = this.q(2);
            return a;
        },
        set: function (a) {
            this.ak(2, a);
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(NativeUIInput.prototype, "a1", {
        get: function () {
            return this.a0;
        },
        set: function (a) {
            var b = this.a0;
            this.a0 = a;
            if (this.a0 != null) {
                this.z(0, this.a0);
            }
            else {
                this.ai(0, b);
            }
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(NativeUIInput.prototype, "a3", {
        get: function () {
            var a = this.q(17);
            return a == null ? 0 : EnumUtil.getEnumValue(NativeUIInputType_$type, a);
        },
        set: function (a) {
            this.ak(17, enumGetBox(NativeUIInputType_$type, a));
        },
        enumerable: true,
        configurable: true
    });
    NativeUIInput.$t = markType(NativeUIInput, 'NativeUIInput', NativeUIComponent.$);
    return NativeUIInput;
}(NativeUIComponent));
export { NativeUIInput };
